Loading ...
Sorry, an error occurred while loading the content.

Apache::ASP on Debian with Apache2?

Expand Messages
  • Sadjied Idoe
    Hi, I have a Debian Sarge webserver. Using Apache 2, Perl 5 en mod_perl 2 on it. I tried to install Apache::ASP on the basic of
    Message 1 of 3 , Jan 19, 2006
    • 0 Attachment

      Hi,

       

      I have a Debian Sarge webserver. Using Apache 2, Perl 5 en mod_perl 2 on it.

      I tried to install Apache::ASP on the basic of http://www.apache-asp.org/install.html.

       

      And how you can see on http://www.apache-asp.org/config.html, when I insert the code

      PerlModule  Apache::ASP
       <Files ~ (\.asp)>    
         SetHandler  perl-script
         PerlHandler Apache::ASP
         PerlSetVar  Global .
         PerlSetVar  StateDir /tmp/asp
       </Files>

      In my httpd.conf, and I reload apache2. I see this error in the error log :

       

      [Wed Jan 18 16:57:17 2006] [error] Can't locate Apache2/RequestRec.pm in @INC (@INC contains: /usr/lib/perl5/Apache2 /etc/per

      l /usr/local/lib/perl/5.8.4 /usr/local/share/perl/5.8.4 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8

       /usr/local/lib/site_perl . /etc/apache2) at /usr/local/share/perl/5.8.4/Apache/ASP/ApacheCommon.pm line 13.\nBEGIN failed--c

      ompilation aborted at /usr/local/share/perl/5.8.4/Apache/ASP/ApacheCommon.pm line 13.\nCompilation failed in require at (eval

       27) line 1.\nBEGIN failed--compilation aborted at (eval 27) line 1.\nCompilation failed in require at (eval 3) line 3.\n

      [Wed Jan 18 16:57:17 2006] [error] Can't load Perl module Apache::ASP for server web.unlimited-xs.com:0, exiting...

       

      What to do now?

       

      I hope someone can help me out?

       

      Thanks!

       

      Sadjied

    • Warren Young
      ... This indicates that you either do not actually have mod_perl2, or you are using one of the earlier 1.99* versions before they changed everything over to
      Message 2 of 3 , Jan 19, 2006
      • 0 Attachment
        Sadjied Idoe wrote:
        >
        > [Wed Jan 18 16:57:17 2006] [error] Can't locate Apache2/RequestRec.pm in
        > @INC (@INC contains: /usr/lib/perl5/Apache2 /etc/per

        This indicates that you either do not actually have mod_perl2, or you
        are using one of the earlier 1.99* versions before they changed
        everything over to the Apache2::Whatever interfaces. They made this
        change in 1.999_22, which was released just a few months before v2.0.

        Try editing /usr/local/share/perl/5.8.4/Apache/ASP/ApacheCommon.pm and
        remove the '2' from all 'Apache2' instances. Start your web server
        again, and, if I am right about the problem, it will complain that it
        cannot find one more Perl module. (I forget its name, sorry.) Comment
        out the line requesting that in ApacheCommon.pm, and the web server
        should start now.

        ---------------------------------------------------------------------
        To unsubscribe, e-mail: asp-unsubscribe@...
        For additional commands, e-mail: asp-help@...
      • Sadjied Idoe
        Thank you, It Works!!!!! Sadjied Idoe Eigenaar Unlimited-Xs Webhosting & Web-Services Tel: 06-40846747 (Alleen tussen 8:00 & 19:00 bereikbaar. Geen gehoor,
        Message 3 of 3 , Jan 19, 2006
        • 0 Attachment
          Thank you, It Works!!!!!

          Sadjied Idoe
          Eigenaar
          Unlimited-Xs Webhosting & Web-Services
          Tel: 06-40846747 (Alleen tussen 8:00 & 19:00 bereikbaar. Geen gehoor,
          probeer dan later terug te bellen!)
          E-mail: sadjied.idoe@...
          -----Oorspronkelijk bericht-----
          Van: Warren Young [mailto:warren@...]
          Verzonden: donderdag 19 januari 2006 23:12
          Aan: Apache-ASP List
          Onderwerp: Re: Apache::ASP on Debian with Apache2?

          Sadjied Idoe wrote:
          >
          > [Wed Jan 18 16:57:17 2006] [error] Can't locate Apache2/RequestRec.pm in
          > @INC (@INC contains: /usr/lib/perl5/Apache2 /etc/per

          This indicates that you either do not actually have mod_perl2, or you
          are using one of the earlier 1.99* versions before they changed
          everything over to the Apache2::Whatever interfaces. They made this
          change in 1.999_22, which was released just a few months before v2.0.

          Try editing /usr/local/share/perl/5.8.4/Apache/ASP/ApacheCommon.pm and
          remove the '2' from all 'Apache2' instances. Start your web server
          again, and, if I am right about the problem, it will complain that it
          cannot find one more Perl module. (I forget its name, sorry.) Comment
          out the line requesting that in ApacheCommon.pm, and the web server
          should start now.

          ---------------------------------------------------------------------
          To unsubscribe, e-mail: asp-unsubscribe@...
          For additional commands, e-mail: asp-help@...



          ---------------------------------------------------------------------
          To unsubscribe, e-mail: asp-unsubscribe@...
          For additional commands, e-mail: asp-help@...
        Your message has been successfully submitted and would be delivered to recipients shortly.